<script setup>
const props = defineProps(["text", "link"]);
</script>

<template>
  <NuxtLink :to="link" class="btn-primary text-cta"
    ><span class="w-max">{{ text }} </span>
  </NuxtLink>
</template>

<style>
.btn-primary {
  @apply text-center m-0 py-[14px];
  @apply tab-pt:px-[20px];
  background-color: var(--brand-black);
  color: var(--primary);
  @apply short:px-[18px] short:py-[8px];
  transition: all 0.3s ease-out;
}

.btn-primary:hover {
  background-color: var(--brand-blue);
}
</style>
